
delete from qa_resultset
where (systeminfo_id,uniquename)
in (select systeminfo_id,uniquename
from tmp_qa_resultset );

insert into qa_resultset
(
       uniquename,
       name,
       systeminfo_id,
       fromclause,
       fieldclause,
       groupbyclause,
       orderbyclause
       )
SELECT 
       uniquename,
       name,
       systeminfo_id,
       fromclause,
       fieldclause,
       groupbyclause,
       orderbyclause
FROM tmp_qa_resultset 
 ;

update tmp_qa_dbtest 
set whereclause='';

update tmp_qa_dbtest 
set whereclause=whereclause || F.feldname || '::varchar(255)='''|| W.feldwert || ''''
from tmp_testfall_import_felder F, tmp_testfall_import_feldwerte W
where F.feldnr=W.feldnr
and W.testfall_schluessel=tmp_qa_dbtest.uniquename
and W.feldnr=1;

update tmp_qa_dbtest 
set whereclause=whereclause || ' and ' || F.feldname || '::varchar(255)='''|| W.feldwert || ''''
from tmp_testfall_import_felder F, tmp_testfall_import_feldwerte W
where F.feldnr=W.feldnr
and W.testfall_schluessel=tmp_qa_dbtest.uniquename
and W.feldnr=2;


update tmp_qa_dbtest 
set whereclause=whereclause || ' and ' || F.feldname || '::varchar(255)='''|| W.feldwert || ''''
from tmp_testfall_import_felder F, tmp_testfall_import_feldwerte W
where F.feldnr=W.feldnr
and W.testfall_schluessel=tmp_qa_dbtest.uniquename
and W.feldnr=3;


update tmp_qa_dbtest 
set whereclause=whereclause || ' and ' || F.feldname || '::varchar(255)='''|| W.feldwert || ''''
from tmp_testfall_import_felder F, tmp_testfall_import_feldwerte W
where F.feldnr=W.feldnr
and W.testfall_schluessel=tmp_qa_dbtest.uniquename
and W.feldnr=4;


delete from qa_dbtest_assertion
where dbtest_id in (select D.tid
 from qa_dbtest D, tmp_qa_dbtest T
where D.systeminfo_id=T.systeminfo_id
and D.uniquename=T.uniquename
);


delete from qa_dbtest
where (systeminfo_id,uniquename) in 
(select systeminfo_id,uniquename
from tmp_qa_dbtest T
);

insert into qa_dbtest( uniquename,
       name,
       systeminfo_id,
       resultset_id,
       whereclause,
       description,
       active
       )
select distinct 
T.uniquename,
T.name,
T.systeminfo_id,
R.tid,
T.whereclause,
T.description,
T.active
FROM tmp_qa_dbtest T, qa_resultset R
where R.uniquename=T.resultset_uniquename
 ;

insert into qa_dbtest_assertion
(  dbtest_id,
       rownr,
       def_col_caption,
       def_col_name,
       def_col_value,
       def_col_function)
       select 
       D.tid,
       1,
       E.feldname,
       E.feldname,
       A.def_col_value,
       'decval'
       
  from qa_dbtest D ,tmp_qa_dbtest_assertion A, tmp_testfall_import_erg E
where E.feldnr::varchar(255)=A.def_col_name
and D.uniquename=A.dbtest_uniquename
and D.systeminfo_id=A.systeminfo_id
;


drop table  tmp_qa_dbtest_assertion;
drop table tmp_testfall_import_erg;

drop table tmp_qa_dbtest;
drop table tmp_testfall_import_felder ;
drop table tmp_testfall_import_feldwerte;



